# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177697287700815/pluggy-feedstock/recipe, last modified Thu Apr 23 19:34:57 2026
# ------------------------------------------------

package:
  name: pluggy
  version: 1.6.0
source:
  fn: pluggy-1.6.0.tar.gz
  url: https://pypi.io/packages/source/p/pluggy/pluggy-1.6.0.tar.gz
  sha256: 7dcc130b76258d33b90f61b658791dede3486c3e6bfb003ee5c9bfb396dd22f3
build:
  number: '0'
  script: /home/task_177697287700815/croot/pluggy_1776972935404/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . --no-deps --no-build-isolation --ignore-installed --no-cache-dir
    -vv
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.3.19 h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.7.5 h7354ed3_0
    - libffi 3.4.4 h6a678d5_1
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 hb25bd0a_0
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pip 26.0.1 pyh0d26453_1
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - setuptools-scm 10.0.5 py314h06a4308_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - tzdata 2026a he532380_0
    - vcs-versioning 1.1.1 py314h06a4308_0
    - wheel 0.46.3 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 hb25bd0a_0
    - zstd 1.5.7 h11fc155_0
  run:
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
test:
  imports:
    - pluggy
  requires:
    - pip
  commands:
    - pip check
about:
  home: https://github.com/pytest-dev/pluggy
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Plugin registration and hook calling for Python
  description: 'pluggy is the crystallized core of plugin management and hook calling
    for pytest.

    It enables 1400+ plugins to extend and customize pytest''s default behaviour.

    Even pytest itself is composed as a set of pluggy plugins which are invoked

    in sequence according to a well defined set of protocols.

    '
  doc_url: https://pluggy.readthedocs.io
  dev_url: https://github.com/pytest-dev/pluggy/
extra:
  recipe-maintainers:
    - JohnGreeley
    - nicoddemus
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/pluggy-feedstock
  sha: ac364e7f7e51250df484060fb3cdc2147e97a063
  task_id: YpMiwnjPRzW6cyB88AQaTg
  task_run_id: '0'
  pbp_graph_uuid: bf7d9558-8e96-4830-9370-22448d5e8d87
